### 5.1.135 reservedName

`Syntax:`
  `reservedName ()`
`Type:`
  none
`Syntax:`
  `reservedName (` string_expression `)`
`Type:`
  int
`Purpose:`
  prints a list of all reserved identifiers (first form) or tests whether the string is a reserved identifier (second form). This includes blackbox/newstruct types.
`Example:`

      reservedName();
      ==> ... // output skipped
        reservedName("ring");
      ==> 1
        reservedName("xyz");
      ==> 0

See names; string.

User manual for Singular version 4.4.1, 2025, generated by texi2html.